Create a path sessionCopy Pagepost https://app.360learning.com/api/v2/paths/{pathId}/sessionsRequired OAuth scope: paths:write. Creates a path session for the given path.Path ParamspathIdstringrequiredThe unique ID of the path.Body ParamsmainInstructorIdstringrequiredThe unique ID of the main instructor of the path session.registrationRequestValidationstringenumrequiredThe registration request validation options for open access registrations. Options are: disabled: There is no validation for registration. instructors: The instructors validate the registration request. managers: The managers validate the registration request. adminsAndManagers: The managers and group admin validate the registration request. adminsCoachesInstructorsManagers:Managers, instructors, group admins and coaches validate the registration request. disabledinstructorsmanagersadminsAndManagersadminsCoachesInstructorsManagersAllowed:disabledinstructorsmanagersadminsAndManagersadminsCoachesInstructorsManagersstartDatedate-timerequiredThe date and time when the path session starts, in the YYYY-MM-DDThh:mm:ss.sssZ format (ISO 8601 in Coordinated Universal Time (UTC)).endDatedate-timeThe date and time when the path session ends, in the YYYY-MM-DDThh:mm:ss.sssZ format (ISO 8601 in Coordinated Universal Time (UTC)).userLimitinteger≥ 1The maximum number of learners that can self enroll in the path session.automaticReenrollmentThe automatic reenrollment settings if enabled for the path session.Certification Expiry Date Automatic ReenrollmentPath Completion Date Automatic ReenrollmentCertification Expiry Date Automatic Reenrollment objectipFilteringobjectThe IP filtering configuration of the path session.IP Filtering objectnamestringrequiredlength ≥ 1The title of the path session.additionalInformationstringlength ≥ 1The additional information of the path session.instructorIdsarray of stringslength ≤ 100The list of unique IDs of the co-instructors of the path session.instructorIdsADD stringHeaders360-api-versionstringenumrequiredThe version of the API.v2.0Allowed:v2.0Responses 200Returns the information about the created session. 400The server cannot or will not process the request due to something that is perceived to be a client error. 401The given access token is either missing, invalid, has expired, or has been revoked. 403The given access token does not have the required OAuth scope to execute the request. 404The server cannot find the requested resource. 429The client has sent too many requests in a short amount of time.Updated 24 days ago